## javax.mail.event
Class MessageCountAdapter

    java.lang.Object
      javax.mail.event.MessageCountAdapter

All Implemented Interfaces:
  java.util.EventListener, MessageCountListener

    public abstract class MessageCountAdapter

extends java.lang.Object
implements MessageCountListener

The adapter which receives MessageCount events. The methods in this class are empty; this class is provided as a convenience for easily creating listeners by extending this class and overriding only the methods of interest.

Constructor Summary
`MessageCountAdapter()`

Method Summary
`void` `messagesAdded(MessageCountEvent e)` Invoked when messages are added into a folder.
`void` `messagesRemoved(MessageCountEvent e)` Invoked when messages are removed (expunged) from a folder.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageCountAdapter

    public MessageCountAdapter()

Method Detail

### messagesAdded

    public void messagesAdded(MessageCountEvent e)

  Description copied from interface: `MessageCountListener`
  Invoked when messages are added into a folder.

  Specified by:
    `messagesAdded` in interface `MessageCountListener`

### messagesRemoved

    public void messagesRemoved(MessageCountEvent e)

  Description copied from interface: `MessageCountListener`
  Invoked when messages are removed (expunged) from a folder.

  Specified by:
    `messagesRemoved` in interface `MessageCountListener`